:root {
  --background: #2e3440;
  --overlay: #3b4253;
  --text: #d8dee9;
  --accent1: #d2876d;
  --accent2: #8ebcbb;
  --accent3: #5d80ae;
}


@font-face {
  font-display: swap; 
  font-family: 'Silkscreen';
  font-style: normal;
  font-weight: 400;
  src: url('../assets/fonts/silkscreen-v6-latin-regular.woff2') format('woff2');
}

@font-face {
  font-display: swap; 
  font-family: 'Noto Sans JP';
  font-style: normal;
  font-weight: 400;
  src: url('../assets/fonts/noto-sans-jp-v56-latin-regular.woff2') format('woff2');
}

@font-face {
  font-display: swap;
  font-family: 'Roboto Mono';
  font-style: normal;
  font-weight: 400;
  src: url('../assets/fonts/roboto-mono-v31-latin-regular.woff2') format('woff2');
}

html { 
  font-size: 62.5%; /* 1rem = 10px */
} 


body {
  background-color: var(--background);
  color: var(--text);
  font-family: 'Noto Sans JP', 'Helvetica Neue', sans-serif;
  font-size: 2rem; /* 22px */
  font-weight: 400;
  margin: 0;
  padding: 0;
}

h1 {
  color: var(--accent1);
  font-size: 3rem;
  line-height: 3rem;
}

h2 {
  color: var(--accent1);
  font-size: 2.4rem;
  line-height: 2.4rem;
}

h3 {
  color: var(--accent1);
  font-size: 2.2rem;
  line-height: 2.2rem;
}

pre {
  background-color: var(--overlay);
  padding: 2px 4px;
  border-radius: 5px;
  overflow-x: auto;
}

code {
  background-color: var(--overlay);
  padding: 2px 4px;
  border-radius: 5px;
  font-family: 'Roboto Mono', monospace;
}

img {
  display: block;
  max-width: 100%;
  max-height: 500px;
  margin: 0 auto;
  border-radius: 10px;

}

ul {
  line-height: 30px;
}

.profile{
  width: 250px;
  height: 250px;
  border-radius: 50%;
  object-fit: cover;
  object-position: center;

}

.about-content {
  display: block;
  box-sizing: border-box;
  padding: 30px 0px 0px 0px;
}

.home-content {
  display: grid;
  grid-auto-flow: row;
  grid-template-columns: 1fr;
  grid-template-rows: repeat(2, 1fr);
  place-items: center;
  gap: 10px;
  box-sizing: border-box;
  padding: 0px 10px 10px 10px;
}

.home-image {
  display: grid;
  place-content: center center;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  height: calc((100vh - 140px)/2);
  width: 100%;
  cursor: pointer;
  transition: all 0.5s;
  border-radius: 10px;
}

.home-image-link {
  font-family: 'Silkscreen', 'Helvetica Neue', sans-serif;
  text-decoration: none;
  border-radius: 0px;
  width: 100%;
  height: 100%;
}

.home-image:hover {
  filter: grayscale(100%);
  /*
  filter: hue-rotate(135deg);
  */
}

.home-image-link:hover {
  border-radius: 10px;
}

.home-span {
  width: 100%;
  text-align: center;
  font-size: 2.8rem;
  opacity: 0.9;
  background-color: #000;
  color: var(--text);
  padding: 10px 10px;
  border-radius: 6px;
}


.blog-content {
  display: grid;
  grid-auto-flow: row;
  grid-template-columns: 1fr;
  grid-template-areas:  
  'posts'
  'meta' 
  'md';                   
}

.back {
  display: inline-block;
  position: fixed;
  left: 10px;
  top: 10px;
  text-align: center;
  cursor: pointer;
  color: var(--accent2);
  padding: 4px 10px;
  visibility: hidden;
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.3s ease;
}

.back-visible {
    opacity: 1;
    pointer-events: auto;
    visibility: visible;
}

.project-content {
  display: grid;
  grid-auto-flow: row;
  grid-template-columns: repeat(1, 1fr);
  grid-template-rows: repeat(auto, 1fr);
  width: 100%;
  gap: 10px;
  box-sizing: border-box;
  padding: 0px 10px 10px 10px;
}

.project-div {
  display: grid;
  grid-auto-flow: row;
  grid-template-columns: 1fr;
  grid-template-rows: repeat(2, 1fr);
  /* height: calc((100vh - 140px)/2); */
  height: calc((100vh - 30px)/2);
  width: 100%;
  background-color: var(--overlay);
  border-radius: 10px;
}

.project-image {
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  height: 100%;
  width: 100%;
  border-radius: 10px 10px 0px 0px;
}

.project-info {
  box-sizing: border-box;
  padding: 0px 10px;
  overflow-y: auto;
}

.post-link {
  font-size: 2rem;
  text-decoration: underline;
  color: var(--text);
}

.post-link:hover {
  background-color: var(--accent3);
  color: var(--background);
  border-radius: 5px;
  box-sizing: border-box;
  padding: 0px 2px;
  text-decoration: none;
}

#post-container {
  grid-area: posts;
  width: 100%;
  height: 100%;
}

#post-list {
  display: grid;
  grid-auto-flow: row;
  grid-template-columns: repeat(1, 1fr);
  gap: 10px;
}

#meta {
  grid-area: meta;
  box-sizing: border-box;
  padding: 60px 20px 0px 20px;
  color: var(--accent3);
  font-style: italic;
  box-sizing: border-box;
}

#md-container {
  grid-area: md;
  line-height: 30px;
  min-width: 0;
  box-sizing: border-box;
  padding: 0px 20px;
  overflow-wrap: break-word;
  word-break: break-word;
}

a {
  text-decoration: underline;
  color: var(--accent2);
}

a:hover {
  background-color: var(--overlay);
  border-radius: 5px;
  text-decoration: none;
}


.back:hover {
  background-color: var(--overlay);
  border-radius: 5px;
}

@media (min-width: 800px) {
  .home-content {
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: 1fr;
  }
  .home-image {
    height: calc(100vh - 130px);
  }

  .project-content {
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(auto, 1fr);
  }

  .back {
    visibility: visible;
  }

  .blog-content{
    max-width: 750px;
    margin: 0 auto; 
  }

  #post-list {
    grid-template-columns: repeat(1, 1fr);
  }

  #md-container {
    padding: 10px 0px 50px 0px;
    max-width: 750px;
    margin: 0 auto;  
  }

  #meta {
    padding: 60px 0px 0px 0px;
  }


}
